Bug 1300269 - (CVE-2015-7977) CVE-2015-7977 ntp: restriction list NULL pointer dereference
CVE-2015-7977 ntp: restriction list NULL pointer dereference
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160120,repor...
: Reopened, Security
Depends On: 1300277 1301972 1317795
Blocks: 1297474 1323912
  Show dependency treegraph
 
Reported: 2016-01-20 06:42 EST by Martin Prpič
Modified: 2016-11-06 00:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: ntp 4.2.8p6
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way ntpd processed 'ntpdc reslist' commands that queried restriction lists with a large amount of entries. A remote attacker could potentially use this flaw to crash ntpd.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-06 00:14:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-01-20 06:42:32 EST
A NULL pointer dereference flaw was found in the way ntpd processed 'ntpdc reslist' commands that queried restriction lists with a large amount of entries. A remote attacker could use this flaw to crash the ntpd process.

Upstream patch (which also addresses CVE-2015-7978):

https://github.com/ntp-project/ntp/commit/8a0c765f3c47633fa262356b0818788d1cf249b1
Comment 2 Martin Prpič 2016-01-20 07:01:57 EST
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1300277]
Comment 3 Martin Prpič 2016-01-21 09:09:20 EST
To exploit this issue, the attacker has to rely on two factors:

* ntpd to be configured to receive mode 7 packets. By default on Red Hat Enterprise Linux, ntpd is configured to receive this packets only on localhost.

* the restriction list must contain a large number of entries (more than 500).

When the number of entries is large enough, the NULL pointer dereference is triggered and causes ntpd to crash.

Since the attacker has no way of influencing the size of the restriction list by adding more entries, it is quite unlikely to exploit this issue.

Having such a large number of restriction entries would also be an uncommon configuration since it would be more practical to restrict connecting clients via other means (e.g. iptables) should the system require it.

Statement:

This issue affects the versions of ntp as shipped with Red Hat Enterprise Linux 5, 6, and 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue in Red Hat Enterprise Linux 6 and 7. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 4 Martin Prpič 2016-01-21 09:10:41 EST
Mitigation:

Keep the number of restriction list entries in ntp.conf lower than 500.
Comment 6 Fedora Update System 2016-01-30 13:21:16 EST
ntp-4.2.6p5-36.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-02-20 21:24:47 EST
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2016-05-10 16:18:22 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0780 https://rhn.redhat.com/errata/RHSA-2016-0780.html
Comment 10 errata-xmlrpc 2016-11-03 15:33:26 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html

Note You need to log in before you can comment on or make changes to this bug.